Package org.jfree.layouting.layouter.content.computed

## Class PendingToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.computed.ComputedToken
  - - org.jfree.layouting.layouter.content.computed.PendingToken

- All Implemented Interfaces:
    `ContentToken`

      public class PendingToken
      extends ComputedToken

  The pending function. This is a lookup to the current pending context. If the pending context is empty, the element is not displayed (as if it had been declared 'display: none'. The elements get removed from the normal flow and get added to the pending flow. Due to the highly volatile nature of that step, no - I repeat - no validation is done to normalize inline and block elements.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PendingToken​(java.lang.String key)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKey​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PendingToken

          public PendingToken​(java.lang.String key)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey​()